$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "wikiki/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name          = "wikiki"
  s.version       = Wikiki::VERSION
  s.authors       = ["Erik Peterson"]
  s.email         = ["thecompanygardener@gmail.com"]

  s.summary       = "Wikiki is a personal wiki"
  s.description   = "Mountable Rails engine that provides a personal wiki."

  s.homepage      = ""
  s.license       = "MIT"

  s.files         = `git ls-files -z`.split("\x0")
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})

  s.require_paths = ["lib"]

  s.add_dependency "rails", "~> 4.1.0"

  s.add_development_dependency "bundler", "~> 1.6"
  s.add_development_dependency "pg"
end
